package com.hp.teach.domain;


import com.hp.common.base.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.persistence.Id;
import java.util.Date;

/**
 * 校区表 teach_school
 * 
 * @author hp
 * @date 2019-02-12
 */
public class School extends BaseEntity
{
	private static final long serialVersionUID = 1L;
	
	/** 校区id */
	@Id
	private Integer schoolId;
	/** 校区名称 */
	private String schoolName;
	/** 校长 */
	private String headmaster;
	/** 副校长 */
	private String president;
	/**  */
	private Date datetime;

	public void setSchoolId(Integer schoolId) 
	{
		this.schoolId = schoolId;
	}

	public Integer getSchoolId() 
	{
		return schoolId;
	}
	public void setSchoolName(String schoolName) 
	{
		this.schoolName = schoolName;
	}

	public String getSchoolName() 
	{
		return schoolName;
	}
	public void setHeadmaster(String headmaster) 
	{
		this.headmaster = headmaster;
	}

	public String getHeadmaster() 
	{
		return headmaster;
	}
	public void setPresident(String president) 
	{
		this.president = president;
	}

	public String getPresident() 
	{
		return president;
	}
	public void setDatetime(Date datetime) 
	{
		this.datetime = datetime;
	}

	public Date getDatetime() 
	{
		return datetime;
	}

    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("schoolId", getSchoolId())
            .append("schoolName", getSchoolName())
            .append("headmaster", getHeadmaster())
            .append("president", getPresident())
            .append("datetime", getDatetime())
            .toString();
    }
}
